module Chervil::AST
  class Number
    attr_reader :value

    def initialize(value)
      @value = value
    end

    def evaluate(env)
      @value
    end

    def ==(other)
      @value == other.value
    end
  end
end
