module Chervil
  RSpec.describe AST::Definition do
    it 'evaluates' do
      env = Env.new
      AST::Definition.new(
        AST::Identifier.new("x"),
        AST::Number.new(5.0)
      ).evaluate(env)
      expect(env.get("x")).to eq(AST::Number.new(5.0))
    end
  end
end
