module Chervil
  class Interpreter
    def initialize(tree, env = Env.new)
      @tree = tree
      @env = env
    end

    def interpret
      @tree.map { |node| node.evaluate(@env) }
    end
  end
end
